# DocumentScannerConfiguration class

Document scanner configuration class. All UI configuration options are optional.

Inheritance
  - Object
  - DocumentScannerJsonConfiguration
  - DocumentScannerConfiguration

## Constructors

DocumentScannerConfiguration({double? acceptedAngleScore, double? acceptedSizeScore, bool? autoSnappingButtonHidden, String? autoSnappingButtonTitle, bool? autoSnappingEnabled, double? autoSnappingSensitivity, double? autoSnappingDelay, Color? bottomBarBackgroundColor, Color? bottomBarButtonsColor, CameraModule? cameraModule, Color? cameraBackgroundColor, CameraPreviewMode? cameraPreviewMode, String? cameraUnavailableExplanationText, bool? cancelButtonHidden, String? cancelButtonTitle, ImageFilterType? defaultPageFilter, DocumentDetectorMode? detectorMode, String? enableCameraButtonTitle, String? enableCameraExplanationText, bool? flashButtonHidden, String? flashButtonTitle, bool? flashEnabled, bool? forceUserGuidance, bool? ignoreBadAspectRatio, double? imageScale, bool? multiPageButtonHidden, String? multiPageButtonTitle, bool? multiPageEnabled, OrientationLockMode? orientationLockMode, String? pageCounterButtonTitle, CapturePhotoQualityPrioritization? photoQualityPrioritization, Color? polygonBackgroundColor, Color? polygonBackgroundColorOK, Color? polygonColor, Color? polygonColorOK, double? polygonLineWidth, double? polygonCornerRadius, Color? polygonAutoSnapProgressColor, double? polygonAutoSnapProgressLineWidth, bool? polygonAutoSnapProgressEnabled, List<AspectRatio>? requiredAspectRatios, List<AspectRatio>? preferredAspectRatios, Color? shutterButtonAutoInnerColor, Color? shutterButtonAutoOuterColor, Color? shutterButtonIndicatorColor, Color? shutterButtonManualInnerColor, Color? shutterButtonManualOuterColor, bool? stopsCameraSessionWhenDisappeared, String? textHintBadAngles, String? textHintBadAspectRatio, String? textHintNothingDetected, String? textHintOffCenter, String? textHintOK, String? textHintTooDark, String? textHintTooNoisy, String? textHintTooSmall, Color? topBarBackgroundColor, Color? topBarButtonsActiveColor, Color? topBarButtonsInactiveColor, Color? userGuidanceBackgroundColor, Color? userGuidanceTextColor, double? userGuidanceFontSize, Size? documentImageSizeLimit, bool? shutterButtonHidden, String? textHintEnergySavingActive, int? maxNumberOfPages, bool? useButtonsAllCaps, DocumentScannerAccessibilityConfiguration? accessibilityConfiguration, bool? touchToFocusEnabled})

## Properties

acceptedAngleScore ↔ double?
  The minimum score in percent (0 - 100) of the perspective distortion to accept a detected document. Default is 75.0.
  getter/setter pair inherited
acceptedBrightnessThreshold ↔ double?
  The brightness threshold to accept a detected document in the range of 0 (very dark) to 255 (very bright). If the average brightness value of the detectors input image is below this value, the status of the detection will be set to ERROR_TOO_DARK.
  getter/setter pair inherited
acceptedSizeScore ↔ double?
  The minimum document width or height in percent (0 - 100) of the screen size to accept a detected document. Default is 80.0.
  getter/setter pair inherited
accessibilityConfiguration ↔ DocumentScannerAccessibilityConfiguration?
  Allows you to customize the accessibility configuration for the Document Scanner UI
  getter/setter pair inherited
autoSnappingButtonHidden ↔ bool?
  Controls whether the auto-snapping toggle button is hidden or not.
  getter/setter pair inherited
autoSnappingButtonTitle ↔ String?
  Title of the auto-snapping toggle button.
  getter/setter pair inherited
autoSnappingDelay ↔ double?
  The minimum delay in seconds between two consecutive automatic image captures. iOS only.
  getter/setter pair inherited
autoSnappingEnabled ↔ bool?
  When auto-snapping is enabled the document scanner will take a photo automatically when a document is detected, conditions are good and the auto-snapping time-out elapses. In this mode the user can still tap the shutter button to snap a document.
  getter/setter pair inherited
autoSnappingSensitivity ↔ double?
  Controls the auto-snapping speed. Sensitivity must be within the 0..1 range. A value of 1.0 triggers automatic capturing immediately, a value of 0.0 delays the automatic by 3 seconds. The default value is 0.66 (2 seconds)
  getter/setter pair inherited
bottomBarBackgroundColor ↔ Color?
  The background color of the bottom shutter-bar.
  getter/setter pair inherited
bottomBarButtonsColor ↔ Color?
  The color of the title of all buttons in the bottom shutter-bar (Cancel button, etc.), as well as the camera permission prompt button.
  getter/setter pair inherited
cameraBackgroundColor ↔ Color?
  The color of the camera background (relevant only when the camera preview mode is CameraPreviewMode.FIT_IN).
  getter/setter pair inherited
cameraModule ↔ CameraModule?
  The preferred camera module (default - BACK)
  getter/setter pair inherited
cameraPreviewMode ↔ CameraPreviewMode?
  Preview mode of the camera. Fit-In or Fill-In.
  getter/setter pair inherited
cameraUnavailableExplanationText ↔ String?
  String being displayed on the label describing that the app is in split mode and needs to go fullscreen to work with camera. iOS only.
  getter/setter pair inherited
cancelButtonHidden ↔ bool?
  Whether the cancel button is hidden or not. iOS only.
  getter/setter pair inherited
cancelButtonTitle ↔ String?
  Title of the cancel button.
  getter/setter pair inherited
defaultPageFilter ↔ ImageFilterType?
  The default image filter type for new documents pages. Defaults to ImageFilterTypeNone.
  getter/setter pair inherited
detectorMode ↔ DocumentDetectorMode?
  The mode of the document detector to be used for document outline detection. Defaults to ML_BASED. iOS only. For Android, use the Scanbot SDK initializer.
  getter/setter pair inherited
documentImageSizeLimit ↔ Size?
  Limits the maximum size of the document image. If width or height are zero, this property is effectively ignored.
  getter/setter pair inherited
enableCameraButtonTitle ↔ String?
  Title of the button that opens the screen where the user can allow the usage of the camera by the app.
  getter/setter pair inherited
enableCameraExplanationText ↔ String?
  Text that will be displayed when the app is not allowed to use the camera, prompting the user to enable the usage of the camera.
  getter/setter pair inherited
flashButtonHidden ↔ bool?
  Controls whether the flash toggle button is hidden or not.
  getter/setter pair inherited
flashButtonTitle ↔ String?
  Title of the flash toggle button.
  getter/setter pair inherited
flashEnabled ↔ bool?
  Controls whether the flash should be initially enabled. The default value is FALSE.
  getter/setter pair inherited
forceUserGuidance ↔ bool?
  Shows the user guidance elements if autosnapping is disabled.
  getter/setter pair inherited
hashCode → int
  The hash code for this object.
  no setter inherited
ignoreBadAspectRatio ↔ bool?
  Sets whether to ignore the OK_BUT_BAD_ASPECT_RATIO detection status. By default BadAspectRatio is not ignored.
  getter/setter pair inherited
imageScale ↔ double?
  The image scaling factor. The factor must be within the 0..1 range. A factor of 1 means that the resulting images retain their original size. When the factor is less than 1, resulting images will be made smaller by that factor. By default the scale is 1.
  getter/setter pair inherited
maxNumberOfPages ↔ int?
  Maximum number of pages to scan. Ignored when set to null, or when `multiPageEnabled` is FALSE. Default value is null.
  getter/setter pair inherited
multiPageButtonHidden ↔ bool?
  Controls whether the multi-page toggle button is hidden or not.
  getter/setter pair inherited
multiPageButtonTitle ↔ String?
  Title of the multi-page mode toggle button.
  getter/setter pair inherited
multiPageEnabled ↔ bool?
  Controls multi-page mode. When enabled, the user can take multiple document photos before closing the screen by tapping the page counter button. When disabled, the screen will be closed immediately after the first document photo is made. The default value is FALSE.
  getter/setter pair inherited
orientationLockMode ↔ OrientationLockMode?
  UI Interface orientation lock mode
  getter/setter pair inherited
pageCounterButtonTitle ↔ String?
  Title suffix of the button that finishes the document scanning when multi-page scanning is enabled. The button's title has the format "# Pages", where '#' shows the number of images captured up to now and the suffix "Pages" is set using this method.
  getter/setter pair inherited
photoQualityPrioritization ↔ CapturePhotoQualityPrioritization?
  The prioritization of still image quality and capturing speed. Defaults to CapturePhotoQualityPrioritization.BALANCED. If you experience lots of blurry still images try to set this property to CapturePhotoQualityPrioritization.QUALITY. Note: Has no effect on devices prior to iOS 13.0!. iOS only.
  getter/setter pair inherited
polygonAutoSnapProgressColor ↔ Color?
  Stroke color of polygon auto snap progress animation. Default is green. Can't be nil.
  getter/setter pair inherited
polygonAutoSnapProgressEnabled ↔ bool?
  Whether polygon auto snap progress animation is enabled or not. Default is true.
  getter/setter pair inherited
polygonAutoSnapProgressLineWidth ↔ double?
  Line width of polygon auto snap progress animation. Default is 5.0.
  getter/setter pair inherited
polygonBackgroundColor ↔ Color?
  The background color of the detected document outline when the document's angle, size or aspect ratio is not yet sufficiently good. (All net.doo.snap.lib.detector.DetectionResult with OK_BUT_XXX).
  getter/setter pair inherited
polygonBackgroundColorOK ↔ Color?
  The background color of the detected document outline when we are ready to snap OK.
  getter/setter pair inherited
polygonColor ↔ Color?
  The color of the detected document outline when the document's angle, size or aspect ratio is not yet sufficiently good. (All detection statuses in net.doo.snap.lib.detector.DetectionResult that have the OK_BUT_XXX prefix).
  getter/setter pair inherited
polygonColorOK ↔ Color?
  The color of the detected document outline when we are ready to snap OK.
  getter/setter pair inherited
polygonCornerRadius ↔ double?
  The radius to use when drawing rounded corners of the polygon. Default is 8.0.
  getter/setter pair inherited
polygonLineWidth ↔ double?
  Width of the detected document outline.
  getter/setter pair inherited
preferredAspectRatios ↔ List<AspectRatio>?
  An optional array of aspect ratios the documents may conform to.
  getter/setter pair inherited
requiredAspectRatios ↔ List<AspectRatio>?
  An optional array of aspect ratios the documents have to conform to.
  getter/setter pair inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
screen ↔ String?
  The configuration object should be applied for this screen
  getter/setter pair override
shutterButtonAutoInnerColor ↔ Color?
  Whether polygon auto snap progress animation is enabled or not. Default is true.
  getter/setter pair inherited
shutterButtonAutoOuterColor ↔ Color?
  The background color of the shutter button in auto-snapping mode.
  getter/setter pair inherited
shutterButtonHidden ↔ bool?
  Hides the shutter button if set to TRUE. Shows it otherwise. Defaults to FALSE. If set to TRUE, auto-snapping is enabled and the property autoSnappingEnabled of the behaviour configuration will have no effect. Also the auto-snapping button will be hidden.
  getter/setter pair inherited
shutterButtonIndicatorColor ↔ Color?
  The indicator color of the shutter button in auto-snapping mode. iOS only.
  getter/setter pair inherited
shutterButtonManualInnerColor ↔ Color?
  The foreground color of the shutter button in manual mode.
  getter/setter pair inherited
shutterButtonManualOuterColor ↔ Color?
  The background color of the shutter button in manual mode.
  getter/setter pair inherited
stopsCameraSessionWhenDisappeared ↔ bool?
  The camera session will be stopped entirely, when the receiver disappears and restarts when the receiver reappears if set to True else will pause the delivery of video frames and QR Codes. Defaults to True. iOS only.
  getter/setter pair inherited
textHintBadAngles ↔ String?
  Text hint that will be shown when the current detection status is OK_BUT_BAD_ANGLES
  getter/setter pair inherited
textHintBadAspectRatio ↔ String?
  Text hint that will be shown when the current detection status is OK_BUT_BAD_ASPECT_RATIO
  getter/setter pair inherited
textHintEnergySavingActive ↔ String?
  The text being displayed on the user-guidance label, when the scanners energy saver is activated. iOS only.
  getter/setter pair inherited
textHintNothingDetected ↔ String?
  Text hint that will be shown when the current detection status is ERROR_NOTHING_DETECTED
  getter/setter pair inherited
textHintOffCenter ↔ String?
  The text being displayed on the user-guidance label, when a document was detected, but its center is too far away from the image center.
  getter/setter pair inherited
textHintOK ↔ String?
  Text hint that will be shown when the current detection status is OK
  getter/setter pair inherited
textHintTooDark ↔ String?
  Text hint that will be shown when the current detection status is ERROR_TOO_DARK
  getter/setter pair inherited
textHintTooNoisy ↔ String?
  Text hint that will be shown when the current detection status is ERROR_TOO_NOISY
  getter/setter pair inherited
textHintTooSmall ↔ String?
  Text hint that will be shown when the current detection status is OK_BUT_TOO_SMALL
  getter/setter pair inherited
topBarBackgroundColor ↔ Color?
  The background color of the top toolbar.
  getter/setter pair inherited
topBarButtonsActiveColor ↔ Color?
  The color of all active toggle buttons in the toolbar.
  getter/setter pair inherited
topBarButtonsInactiveColor ↔ Color?
  The color of all inactive toggle buttons in the toolbar.
  getter/setter pair inherited
touchToFocusEnabled ↔ bool?
  Whether touch-to-focus is enabled on camera preview. Enabled by default. Android only.
  getter/setter pair inherited
useButtonsAllCaps ↔ bool?
  Controls whether buttons should use all capitals style, as defined by the Android Material Design. Defaults to TRUE. Android only.
  getter/setter pair inherited
userGuidanceBackgroundColor ↔ Color?
  The background color of the user guidance hints.
  getter/setter pair inherited
userGuidanceFontSize ↔ double?
  Font size of the user guidance. Default is 17.0.
  getter/setter pair inherited
userGuidanceTextColor ↔ Color?
  The text color of the user guidance hints.
  getter/setter pair inherited
version ↔ String?
  A version of the configuration object
  getter/setter pair inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited